# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget irccd::libduktape irccd::libjson irccd::libirccd irccd::libirccd-daemon irccd::libirccd-ctl irccd::libirccd-test irccd::libirccd-js irccd::irccd irccd::irccdctl irccd::irccd-test)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
# Use original install prefix when loaded through a
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${_IMPORT_PREFIX}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/irccd" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(_IMPORT_PREFIX "/usr/lib/cmake/irccd")
endif()
unset(_realOrig)
unset(_realCurr)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target irccd::libduktape
add_library(irccd::libduktape SHARED IMPORTED)

set_target_properties(irccd::libduktape PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "DUK_OPT_CPP_EXCEPTIONS"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/irccd/extern"
)

# Create imported target irccd::libjson
add_library(irccd::libjson INTERFACE IMPORTED)

set_target_properties(irccd::libjson PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/irccd/extern"
)

# Create imported target irccd::libirccd
add_library(irccd::libirccd SHARED IMPORTED)

set_target_properties(irccd::libirccd PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "BOOST_ASIO_DISABLE_EPOLL"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "dl;irccd::libjson;Threads::Threads;Boost::disable_autolinking;Boost::dynamic_linking;Boost::date_time;Boost::filesystem;Boost::system;OpenSSL::Crypto;OpenSSL::SSL"
)

# Create imported target irccd::libirccd-daemon
add_library(irccd::libirccd-daemon SHARED IMPORTED)

set_target_properties(irccd::libirccd-daemon PROPERTIES
  INTERFACE_LINK_LIBRARIES "irccd::libirccd"
)

# Create imported target irccd::libirccd-ctl
add_library(irccd::libirccd-ctl SHARED IMPORTED)

set_target_properties(irccd::libirccd-ctl PROPERTIES
  INTERFACE_LINK_LIBRARIES "irccd::libirccd-daemon"
)

# Create imported target irccd::libirccd-test
add_library(irccd::libirccd-test SHARED IMPORTED)

set_target_properties(irccd::libirccd-test PROPERTIES
  INTERFACE_LINK_LIBRARIES "irccd::libirccd-js;irccd::libirccd-daemon;irccd::libirccd-ctl"
)

# Create imported target irccd::libirccd-js
add_library(irccd::libirccd-js SHARED IMPORTED)

set_target_properties(irccd::libirccd-js PROPERTIES
  INTERFACE_LINK_LIBRARIES "Boost::timer;irccd::libduktape;irccd::libirccd-daemon"
)

# Create imported target irccd::irccd
add_executable(irccd::irccd IMPORTED)

# Create imported target irccd::irccdctl
add_executable(irccd::irccdctl IMPORTED)

# Create imported target irccd::irccd-test
add_executable(irccd::irccd-test IMPORTED)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/irccd-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
